package com.zd.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import com.zd.system.api.laboratory.domain.vo.LabSubClassVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 实验室安全隐患关联对象 lab_subject_denger_relation
 *
 * @author liubo
 * @date 2021-11-13
 */
@ApiModel("实验室安全隐患关联")
public class LabSubjectDengerRelation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    @Excel(name = "隐患id 自数据字典 hidden_danger")
    @ApiModelProperty(value = "隐患id 自数据字典 hidden_danger")
    private String dangerId;
    /**
     * 隐患名称
     */
    @Excel(name = "隐患名称")
    @ApiModelProperty(value = "隐患名称")
    private String dangerName;
    /**
     * 实验室id
     */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;

    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室名称")
    private String subjectName;

    @ApiModelProperty("实验室学科")
    private String subDept;

    private Long userId;
    /**
     * 数量
     */
    @Excel(name = "数量")
    @ApiModelProperty(value = "数量")
    private Long quantity;

    private Date startTime;

    private Date endTime;

    private LabSubClassVO subClassVO;

    private Long buildId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public Long getBuildId() {
        return buildId;
    }

    public void setBuildId(Long buildId) {
        this.buildId = buildId;
    }

    public String getSubDept() {
        return subDept;
    }

    public void setSubDept(String subDept) {
        this.subDept = subDept;
    }

    public void setDangerId(String dangerId) {
        this.dangerId = dangerId;
    }

    public String getDangerId() {
        return dangerId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public void setDangerName(String dangerName) {
        this.dangerName = dangerName;
    }

    public String getDangerName() {
        return dangerName;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setQuantity(Long quantity) {
        this.quantity = quantity;
    }

    public Long getQuantity() {
        return quantity;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public LabSubClassVO getSubClassVO() {
        return subClassVO;
    }

    public void setSubClassVO(LabSubClassVO subClassVO) {
        this.subClassVO = subClassVO;
    }
}
